package kr.co.zumo.app.lifeplus.view.presenter;

import org.junit.Assert;
import org.junit.Test;

import java.lang.reflect.Field;
import java.util.LinkedHashMap;

import kr.co.zumo.app.lifeplus.view.Event;

public class EventTest {

  @Test
  public void verify() {
    //
    // 값이 중복되는 상수가 있는지 확인한다.
    // 있다면 하나의 상수명이 Actual 에 표시된다.
    //

    // for class test coverage
//    Event event = new Event();

    LinkedHashMap<Integer, String> map = new LinkedHashMap<>();
    Field[] fields = Event.class.getDeclaredFields();
    Class<Event> types = Event.class;

    for (Field field : fields) {
      try {
        field.setAccessible(true);
        if (null != field && null != types) {
          int value = (int) field.get(types);
          String name = field.getName();
          if (null == map.get(value)) {
            map.put(value, name);
          }
          else {
            Assert.assertEquals("", name);
          }
        }
      } catch (Exception e) {
//        e.printStackTrace();
      }
    }
  }
}